.spinner {
  position: absolute;
  left: calc(50% - 20px);
  top: calc(50% - 20px);
  width: 40px;
  height: 40px;
  border: 4px solid var(--primary-color);
  border-top-color: transparent;
  border-radius: 50%;
  animation: spin 1s linear infinite;
  box-sizing: border-box;
  z-index: 999;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}
